#include <iostream>
using namespace std;


int main(int argc, char** argv) {
	int n,k,i,dmj,dj,dn,s,x[2];
	dmj = 0;
	dj=0;
	dn=0;
	s=0;
	cin>>n>>k;
	int a[n];
	for(i=0;i<n;i=i+1){
		cin>>a[i];
		if(a[i]=-1) {
		dmj = dmj + 1;
		}
		if(a[i]=1) {
		dj = dj + 1;
		}
		if(a[i]=0) {
		dn = dn + 1;
		}
	}
	if(dmj>=k){
		s=s+1;
		x[0]=-1;
	}
	if(dj>=k){
		s=s+1;
		x[1]=1;
	}
	if(dn>=k){
		s=s+1;
		x[2]=0;
	}
	cout<<s<<endl;
	for(i=0;i<3;i=i+1){
     cout<<x[i]<<" ";
	}
	cout<<endl;	
	return 0;
}